<?php

function getDBInstance()
{
    $path = $_SERVER['DOCUMENT_ROOT'];
    $path .= "/WebPAYDirectX/includes/MyDbClass.php";
    include_once($path);
    
    return new MyDB();
}
   
function openDatabase()
{  
   $db = getDBInstance();
   if(!$db)
   {
      echo $db->lastErrorMsg();
   } 
   else 
   {
      //echo "Opened database successfully<br/>";
   }
    $sql =<<<EOF
      CREATE TABLE IF NOT EXISTS WebPAYDirectLOGS
      (ID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
      TXNREF           TEXT    NOT NULL,
      DATETIME            TEXT     NOT NULL,
      AMOUNT            INT NOT NULL,
      RESPONSEDESC         TEXT,
      RESPONSECODE         TEXT,
      CUSTOMERNAME         TEXT,
      CUSTID         TEXT);
EOF;

   $ret = $db->exec($sql);
   if(!$ret)
    {
      echo $db->lastErrorMsg();
   } 
   else 
    {
      //echo "Table created successfully<br/>";
   }
   $db->close();
}

function insertData($txnRef, $dateTime, $amount, $responseDesc, $responseCode, $custName, $custID)
{   
   $db = getDBInstance();
   
   if(!$db){
      echo $db->lastErrorMsg();
   } else {
      //echo "Opened database successfully<br/>";
   }

$sql =<<<EOF
      INSERT INTO WebPAYDirectLOGS (TXNREF,DATETIME,AMOUNT,RESPONSEDESC,RESPONSECODE,CUSTOMERNAME,CUSTID)
      VALUES                ('$txnRef', '$dateTime', $amount , '$responseDesc', '$responseCode', '$custName', '$custID');
EOF;

   $ret = $db->exec($sql);
   if(!$ret){
      echo $db->lastErrorMsg();
   } else {
      //echo "Records created successfully<br/><br/>";
   }
   $db->close();
}

function updateData($txnRef, $responseCode, $responseDescription)
{
    $db = getDBInstance();
   
   if(!$db){
      echo $db->lastErrorMsg();
   } else {
      //echo "Opened database successfully<br/>";
   }
   
   $sql =<<<EOF
      UPDATE WebPAYDirectLOGS set RESPONSECODE = '$responseCode', RESPONSEDESC = '$responseDescription' where TXNREF='$txnRef';
EOF;
   
   $ret = $db->exec($sql);
   if(!$ret){
      echo $db->lastErrorMsg();
   } else {
      //echo $db->changes(), " Record updated successfully<br/>";
   }
}

function closeDB()
{
    $db = getDBInstance();
    $db->close();
}